TARGET	= ppdfviewer

INCLUDEPATH		+= pdfinclude

win32 {
	TEMPLATE	= vcapp
	CONFIG		+= qt warn_off debug

	LIBS		+= pdflib\PSOutputDev.obj pdflib\Annot.obj pdflib\Array.obj pdflib\BuiltinFont.obj pdflib\BuiltinFontTables.obj pdflib\Catalog.obj pdflib\CharCodeToUnicode.obj pdflib\CMap.obj \
			   pdflib\Decrypt.obj pdflib\Dict.obj pdflib\Error.obj pdflib\FontEncodingTables.obj pdflib\Function.obj pdflib\Gfx.obj pdflib\GfxFont.obj pdflib\GfxState.obj \
			   pdflib\GlobalParams.obj pdflib\JArithmeticDecoder.obj pdflib\JBIG2Stream.obj pdflib\JPXStream.obj pdflib\Lexer.obj pdflib\Link.obj pdflib\NameToCharCode.obj \
			   pdflib\Object.obj pdflib\Outline.obj pdflib\OutputDev.obj pdflib\Page.obj pdflib\Parser.obj pdflib\PDFDoc.obj pdflib\PDFDocEncoding.obj pdflib\PSTokenizer.obj \
			   pdflib\SecurityHandler.obj pdflib\SplashOutputDev.obj pdflib\Stream.obj pdflib\UnicodeMap.obj pdflib\UnicodeTypeTable.obj pdflib\XRef.obj pdflib\TextOutputDev.obj \
			   pdflib\splash.lib pdflib\fofi.lib pdflib\Goo.lib pdflib\freetype2.lib shell32.lib user32.lib gdi32.lib advapi32.lib

	LIBS		+= -lqaxcontainer
}

win32:debug {
	CONFIG	+= console
}

unix {
!macx	{
	TEMPLATE	= app
	CONFIG		+= qt warn_off release
}
}

macx {
	TEMPLATE	= app
	CONFIG		+= qt warn_off release
}

macx {
	LIBS		+= -L/usr/lib -framework Carbon -framework QuickTime -lpq -lz -framework OpenGL -framework AGL
}

unix {
!macx	{
	LIBS		+= -L/usr/qt/local/qt/lib
	}
}

HEADERS		= ppdfviewer.h

SOURCES		= main.cpp ppdfviewer.cpp

win32 {
	MOC_DIR		= moc
	OBJECTS_DIR	= obj
}

macx {
	MOC_DIR		= moc_mac
	OBJECTS_DIR	= obj_mac
	DEPENDPATH      = /usr/local/qt/include
}

unix {
!macx	{
	MOC_DIR		= moc_linux
	OBJECTS_DIR	= obj_linux
	DEPENDPATH      = /usr/local/qt/include
#	REQUIRES        = full-config
	}
}

